The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Add FileHash to Blocklist or Allowlist

Prev Next

This URL adds the filehash to either the blocklist or allowlist.

Resource URL

POST /advancedmalware?type=<hashtype>

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
type Hashtype. Can be allow or block. String Yes

Payload Request Parameters:

Field Name Description Data Type Mandatory
filehash File hash String Yes
Filename File name String No
comment Comment String No

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
createdResourceId CreatedResourceId: Set to 1 if the operation was successful. Number

Example

Request

POST https://%3CNSM_IP%3E/sdkapi/advancedmalware?type=block

Payload

{
"fileHash":"1aaaaaaaaaaaaaaaaaaaaaaaaaaaaa16", 
"fileName":"file1", 
"comment":"Blocked filehash "
} 
 

Error Information

Response

{
"createdResourceId": 1
} 

Following error codes are returned by this URL:

S.No HTTP Error Code SDK API errorId SDK API errorMessage
1 500 1001 Hash value is required
2 500 1003 Invalid file hash. It should be a 32-digit hexadecimal value.
3 500 1005 This hash already exists on the allowlist/blocklist.
4 500 1004 Duplicate hash detected. A file with the same hash already exists on this list.
5 500 1001 File hashes entries has exceeded the maximum support limit of 99,000.